Last Comment Bug 704056 - remove 'countryCode' from nsIDOMGeoPositionAddress.idl
: remove 'countryCode' from nsIDOMGeoPositionAddress.idl
Status: RESOLVED FIXED
: addon-compat, dev-doc-complete
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Ed Morley [:emorley]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-20 23:24 PST by Masataka Yakura
Modified: 2012-02-27 13:39 PST (History)
4 users (show)
emorley: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (12.55 KB, patch)
2011-12-14 06:01 PST, Ed Morley [:emorley]
doug.turner: review+
doug.turner: feedback+
Details | Diff | Splinter Review

Description Masataka Yakura 2011-11-20 23:24:12 PST
User Agent: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/535.10 (KHTML, like Gecko) Chrome/17.0.945.0 Safari/535.10

Steps to reproduce:

Looked at http://mxr.mozilla.org/mozilla-central/source/dom/interfaces/geolocation/nsIDOMGeoPositionAddress.idl


Actual results:

found nsIDOMGeoPositionAddress.idl defines a property called 'countryCode' which isn't defined in the Geolocation v2 specification.


Expected results:

Per the spec, 'country' property "is specified using the two-letter [ISO 3166-1] code." so it seems 'countryCode' is pretty redundant. Rather than keeping undefined property or consult Geolocation WG to have it specified, I suggest removing it from Gecko.
Comment 1 Ed Morley [:emorley] 2011-12-14 06:01:47 PST
Created attachment 581609 [details] [diff] [review]
Patch v1

Doug, can you confirm this is wanted please? :-)

https://tbpl.mozilla.org/?tree=Try&rev=403b9f4b60d2
Comment 3 Ed Morley [:emorley] 2011-12-20 05:50:02 PST
https://hg.mozilla.org/mozilla-central/rev/1d0ffc477fe8
Comment 4 Nickolay_Ponomarev 2012-01-01 16:16:02 PST
I noted the attribute's removal at https://developer.mozilla.org/en/XPCOM_Interface_Reference/nsIDOMGeoPositionAddress , not sure if anything else needs to be done here.
Comment 5 Eric Shepherd [:sheppy] 2012-02-27 13:39:13 PST
I added a mention to Firefox 11 for developers and verified this property isn't used in any examples.

That article does need to move to the DOM reference with appropriate reformatting, but that's a separate issue.

Note You need to log in before you can comment on or make changes to this bug.